GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | List of all members
eu.gls_group.fpcs.v1.tracking.TrackingPortType Interface Reference

## Public Member Functions
eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ParcelDetailResponse | getParcelDetailsByID ( @WebParam(partName="TUDetailRequestParameter", name="DetailsReferenceData", targetNamespace="http://fpcs.gls-group.eu/v1/Tracking") eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData tuDetailRequestParameter) throws InvalidFieldValueMessage, InvalidShipmentIDMessage, MandatoryFieldMissingMessage
eu.glsgroup.fpcs.datatypes.soap.v1.tracking.PODResponse | getParcelPODByID ( @WebParam(partName="TUPODRequestParameter", name="TUPReferenceData", targetNamespace="http://fpcs.gls-group.eu/v1/Tracking") eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData tupodRequestParameter) throws InvalidFieldValueMessage, InvalidShipmentIDMessage, MandatoryFieldMissingMessage
eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUListResponse | findParcels ( @WebParam(partName="TUListRequestParameter", name="TULReferenceData", targetNamespace="http://fpcs.gls-group.eu/v1/Tracking") eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData tuListRequestParameter) throws InvalidFieldValueMessage, MandatoryFieldMissingMessage

## Detailed Description

This class was generated by Apache CXF 3.4.7 Generated source version: 3.4.7

Definition at line 18 of file TrackingPortType.java.

## Member Function Documentation

## ◆ findParcels()

eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUListResponse eu.gls_group.fpcs.v1.tracking.TrackingPortType.findParcels | ( | @WebParam(partName="TUListRequestParameter", name="TULReferenceData", targetNamespace="http://fpcs.gls-group.eu/v1/Tracking") eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData | tuListRequestParameter | ) | throws InvalidFieldValueMessage, MandatoryFieldMissingMessage

## ◆ getParcelDetailsByID()

eu.glsgroup.fpcs.datatypes.soap.v1.tracking.ParcelDetailResponse eu.gls_group.fpcs.v1.tracking.TrackingPortType.getParcelDetailsByID | ( | @WebParam(partName="TUDetailRequestParameter", name="DetailsReferenceData", targetNamespace="http://fpcs.gls-group.eu/v1/Tracking") eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData | tuDetailRequestParameter | ) | throws InvalidFieldValueMessage, InvalidShipmentIDMessage, MandatoryFieldMissingMessage

## ◆ getParcelPODByID()

eu.glsgroup.fpcs.datatypes.soap.v1.tracking.PODResponse eu.gls_group.fpcs.v1.tracking.TrackingPortType.getParcelPODByID | ( | @WebParam(partName="TUPODRequestParameter", name="TUPReferenceData", targetNamespace="http://fpcs.gls-group.eu/v1/Tracking") eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData | tupodRequestParameter | ) | throws InvalidFieldValueMessage, InvalidShipmentIDMessage, MandatoryFieldMissingMessage

The documentation for this interface was generated from the following file:

- TrackingPortType.java